<script setup lang="ts">
import { Quote } from 'slippers-ui/icons';
interface LetterAuthor {
  name: string;
  role: string;
}

interface QuoteConfig {
  image: {
    src: string;
    alt?: string;
  };
}

defineProps({
  text: {
    type: String,
    required: true,
  },
  title: {
    type: String,
    required: false,
    default: '',
  },
  author: {
    type: Object as PropType<LetterAuthor>,
    required: false,
    default: null,
  },
  config: {
    type: Object as PropType<QuoteConfig>,
  },
});
</script>

<template>
  <SlpContainer class="esg-quote">
    <SlpTypography variant="heading2-bold" tag="h2" class="slp-mb-64">
      {{ title }}
    </SlpTypography>
    <SlpRow>
      <SlpColumn :cols="3"></SlpColumn>
      <SlpColumn :cols="8">
        <div class="esg-quote__quote">
          <div class="esg-quote__inner">
            <SlpIcon :icon="Quote" :size="35" />
            <SlpTypography variant="quotes" tag="div" class="slp-mt-24">
              <div v-html="$md.render(text)"></div>
            </SlpTypography>
            <div class="esg-quote__author slp-mt-32">
              <div class="esg-quote__author-image">
                <img :src="config.image.src" alt="" />
              </div>

              <div class="slp-ml-24">
                <SlpTypography variant="body1-bold" tag="div">
                  {{ author.name }}
                </SlpTypography>
                <SlpTypography variant="body1" tag="div">
                  {{ author.role }}
                </SlpTypography>
              </div>
            </div>
          </div>
        </div>
      </SlpColumn>
    </SlpRow>
  </SlpContainer>
</template>

<style lang="scss" scoped>
.esg-quote {
  @media (min-width: $breakpoint-lg) {
    margin-top: 170px;
  }
  &__quote {
    border-radius: 8px 8px 100px 8px;
    padding: 1px;
    background: linear-gradient(94deg, #e3995d80 8.53%, #cb929680 14.9%, #7f48d680 95.91%);
    position: relative;
  }
  &__inner {
    background-color: #fff;
    border-radius: 8px 8px 100px 8px;
    padding: 40px;
  }
  &__author {
    display: flex;
  }
  &__author-image {
    width: 128px;
    height: 128px;
    border-radius: 4.4px 4.4px 60px 4.4px;
    overflow: hidden;
    img {
      height: 100%;
      width: 100%;
      object-fit: cover;
    }
  }
}
</style>
